## partman-crypto 17

=== blockdev-wipe/Makefile ===
CFLAGS = -Wall -Os -s

blockdev-wipe: blockdev-wipe.c
	$(CC) $(CFLAGS) -o $@ $< 
	strip -s $@

clean:
	-rm blockdev-wipe
