## partman-crypto 11

=== debian/changelog ===
partman-crypto (11) unstable; urgency=low

  [ David Härdeman ]
  * Make partman-crypto-dm and partman-crypto-loop not installed by
    default and instead do on-demand loading in d-i (closes: #384532)

  [ Max Vozeler ]
  * Some minor code cleanups

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Dutch (nl.po) by Bart Cornelis
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş

 -- Max Vozeler <xam@debian.org>  Mon, 28 Aug 2006 20:35:57 +0200

partman-crypto (10) unstable; urgency=low

  [ Max Vozeler ]
  * Drop leading "_dev_" from the name of loop-AES keyfiles
  * Yes/no choices for erase data can be translated. Thanks to
    Miroslav Kure. Closes: #382605
  * Limit key sizes for dm-crypt/blowfish. Closes: #381981
  * Add lintian override for no-standards-version-field
  * Check for unencrypted swap in commit.d/unsafe_swap to catch
    setup after encrypted devices. Closes: #381870
  * Set name of dm-crypt devices according to the underlying 
    block devices (e.g. hda5_crypt). Closes: #382398

  [ David Härdeman ]
  * Only set the tmp option in crypttab if /tmp is on a random keyed
    mapping (closes: #382374)

  [ Colin Watson ]
  * Use /dev/loop$n if the /dev/loop directory doesn't exist.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Giuseppe Sacco
  * Khmer (km.po) by Khoem Sokhem
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Max Vozeler <xam@debian.org>  Mon, 21 Aug 2006 14:42:53 +0200

partman-crypto (9) unstable; urgency=low

  [ Max Vozeler ]
  * blockdev-wipe: Open the device with O_SYNC to avoid
    out-of-memory situations during partition erase, which appear
    to be caused by overcommit and a large number of queued
    requests. As a side-effect this helps to provide accurate
    information in the progressbar. Closes: #381135

  * blockdev-wipe: To compensate for the performance impact
    of O_SYNC increase blocksize from 4k to 64k.

  * crypto_tools.sh: Use 128 bit (instead of 256 bit) 
    random key when setting up dm-crypt for partition erase.
    This should speed up erase a bit. Also take the key from
    /dev/urandom so we don't risk a blocking read.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Finnish (fi.po) by Tapio Lehtonen
  * Polish (pl.po) by Bartosz Fenski
  * Tagalog (tl.po) by Eric Pareja
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Max Vozeler <xam@debian.org>  Thu,  3 Aug 2006 09:27:11 +0200

partman-crypto (8) unstable; urgency=low

  [ David Härdeman ]
  * Rename some files to make their purpose clearer.
  * Depend on base-installer to install cryptsetup when necessary before
    the initramfs is generated (requires base-installer 1.61).

  [ Max Vozeler ]
  * Add loop-AES ciphers to /etc/modules. Closes: #378687

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder
  * Gujarati (gu.po) by Kartik Mistry
  * Japanese (ja.po) by Kenshi Muto
  * Panjabi; Punjabi (pa.po) by A S Alam
  * Swedish (sv.po) by Daniel Nylander
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Max Vozeler <xam@debian.org>  Tue, 18 Jul 2006 17:52:02 +0200

partman-crypto (7) unstable; urgency=low

  [ Max Vozeler ]
  * Switch default crypto system to dm-crypt

  [ David Härdeman ]
  * Re-add accidentally removed partman-crypto-loop dependency.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Czech (cs.po) by Miroslav Kure
  * Macedonian (mk.po) by Georgi Stanojevski
  * Polish (pl.po) by Bartosz Fenski

 -- Frans Pop <fjp@debian.org>  Wed, 28 Jun 2006 23:00:11 +0200

partman-crypto (6) unstable; urgency=low

  [ David Härdeman ]
  * Switch from prebaseconfig.d to finish-install.d
  * Lock partition when crypto mapping is setup
  * Improve defaults setting code to only consider available crypto-
    types
  * Move some functionality from choose_partition/crypto/do_option to
    crypto_tools.sh for use by partman-auto-crypto.
  * Change default fs from ext2 to ext3.
  * Use the generic confirm_changes from partman-base
    (needs partman-base 87).

  [ Max Vozeler ]
  * Build arch-all packages in binary-indep
  * debian/control: Standards-Version is not used for udebs

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Stefano Canepa
  * Khmer (km.po) by Khoem Sokhem
  * Lithuanian (lt.po) by Kęstutis Biliūnas

