## partman-crypto 17

=== debian/changelog ===
partman-crypto (17) unstable; urgency=low

  [ Updated translations ]
  * Dutch (nl.po) by Bart Cornelis

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 16:58:50 +0200

partman-crypto (16) unstable; urgency=low

  [ Frans Pop ]
  * crypto_tools.sh: quote variable to avoid syntax error.
  * Ask for passphrase and passphrase confirmation in one db_go.
  * Change template type for empty passphrase to error.

  [ Max Vozeler ]
  * blockdev-keygen: Kill writer pipes on failure and move the
    check for the entropy plugin to the start.
  * Show short name of the crypto device in the mountpoint column
    of the corresponding partition. Closes: #381968, #393919

  [ David Härdeman ]
  * Remove some hardcoded paths
  * Allow safe-swap checks to walk the entire device-mapper tree,
    meaning that swap-on-whatever-on-crypto is now ok. Loosely based
    on a patch from James Westby <jw+debian@jameswestby.net>.
    Closes: #392080

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÁC Attila
  * Icelandic (is.po) by David Steinn Geirsson
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Max Vozeler <xam@debian.org>  Sun, 22 Oct 2006 23:49:42 +0200

partman-crypto (15) unstable; urgency=low

  [ David Härdeman ]
  * Remove some hardcoded paths
  * Change order of tests in crypto_prepare_method. Closes: 390568

  [ Max Vozeler ]
  * finish-install.d/05crypto: Install either loop-aes-$KVERS or
    loop-aes-modules-$KVERS

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Estonian (et.po) by Siim Põder
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÁC Attila
  * Khmer (km.po) by Khoem Sokhem
  * Romanian (ro.po) by Eddy Petrişor
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Max Vozeler <xam@debian.org>  Sat,  7 Oct 2006 19:37:49 +0200

partman-crypto (14) unstable; urgency=low

  [ David Härdeman ]
  * Add fixes for udeb-on-demand loading. Closes: #389456

  [ Max Vozeler ]
  * No need to check for plugin-entropy-text.so as we already
    check db_capb

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Catalan (ca.po) by Jordi Mallach
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Giuseppe Sacco
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Georgi Stanojevski
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Albanian (sq.po) by Elian Myftiu
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Max Vozeler <xam@debian.org>  Thu, 28 Sep 2006 08:26:35 +0200

partman-crypto (13) unstable; urgency=low

  [ David Härdeman ]
  * Split low memory check into a separate function

 -- Max Vozeler <xam@debian.org>  Mon, 11 Sep 2006 21:43:28 +0200

partman-crypto (12) unstable; urgency=low

  [ David Härdeman ]
  * Allow swap-on-lvm-on-crypto. Closes: 385927

  [ Updated translations ]
  * Danish (da.po) by Claus Hindsgaul
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Slovenian (sl.po) by Jure Čuhalev
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Max Vozeler <xam@debian.org>  Mon, 11 Sep 2006 07:47:49 +0200
