## partman-crypto 20

=== debian/changelog ===
partman-crypto (20) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * Malayalam (ml.po) by Praveen A
  * Dutch (nl.po) by Bart Cornelis
  * Swedish (sv.po) by Daniel Nylander
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 18:19:53 +0100

partman-crypto (19) unstable; urgency=low

  [ Christian Perrier ]
  * Replace "bootloader" by "boot loader" in templates for overall writing style
    consistency.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by drtvasudevan

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 12:23:23 +0100

partman-crypto (18) unstable; urgency=low

  [ David Härdeman ]
  * Remove scary warnings in preparation for RC2

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Esperanto (eo.po) by Serge Leblanc
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Swedish (sv.po) by Daniel Nylander
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Thu, 21 Dec 2006 16:32:02 +0100
