=== debian/changelog ===
partman-crypto (20etch1) stable; urgency=low

  [ Frans Pop ]
  * For hd-media installs the module loop will already be loaded, which
    prevents loop-aes from being loaded. Attempt to replace loop with loop-aes
    by unmounting the CD image, replacing the module and remounting the image.
    As losetup is not available, we cannot check what exactly is loop-mounted,
    so we just assume that loop is only used for a CD image.
    Many thanks to Nemui Ailin for identifying the issue. Closes: #434027.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 21 Sep 2007 11:45:11 +0200
