=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Max Vozeler <xam@debian.org>
 Build-Depends: debhelper (>= 5.0.25), po-debconf (>= 0.5.0)
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-crypto
 
 Package: partman-crypto
 XC-Package-Type: udeb
