=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = partman-crypto

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C base64
	$(MAKE) -C blockdev-wipe
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) -C base64 clean
	$(MAKE) -C blockdev-wipe clean
	rm -f build-stamp
	rm -f `find . -name '*~'`
	dh_clean

install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install -p $(PACKAGE)-dm ciphers/dm-crypt lib/partman/ciphers
	dh_install -p $(PACKAGE)-loop ciphers/loop-AES lib/partman/ciphers
	rm -rf `find debian/$(PACKAGE)-dm debian/$(PACKAGE)-loop -name .svn`

install-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	debian/install-rc init.d
	debian/install-rc commit.d
	debian/install-rc choose_partition
	debian/install-rc choose_method
	debian/install-rc active_partition
	debian/install-rc update.d
	debian/install-rc finish.d
	dh_install finish-install.d usr/lib
	dh_install crypto_tools.sh lib/partman
	dh_install base64/base64 bin/
	dh_install blockdev-keygen bin/
	dh_install blockdev-wipe/blockdev-wipe bin/
	rm -rf `find debian/$(PACKAGE) -name .svn`

binary-indep: install-indep
	dh_testdir 
	dh_testroot
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: build install-arch
	dh_testdir 
	dh_testroot
	dh_installdebconf -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
