## partman-crypto 21ubuntu3

=== debian/changelog ===
partman-crypto (21ubuntu3) gutsy; urgency=low

  * Disable partition erasing by default, as it's very slow and only of
    moderate value (LP: #151244).
  * Warn that the passphrase cannot be recovered if lost (helps with LP
    #151264).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Oct 2007 14:51:34 +0100

partman-crypto (21ubuntu2) gutsy; urgency=low

  * Skip loading partman-crypto-loop for now, as we don't support it in
    Ubuntu (thanks, Loïc Minier).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Oct 2007 13:30:14 +0100

partman-crypto (21ubuntu1) gutsy; urgency=low

  * write out /etc/crypttab using UUIDs, like we do for /etc/fstab

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Sep 2007 15:12:51 +0200

partman-crypto (21) unstable; urgency=low

  [ Frans Pop ]
  * Move "Use as" option together with raid and lvm. Closes: #414411.
  * Move deletion of SVN directories to install-rc script.
  * Improve the way install-rc is called.

  [ Colin Watson ]
  * Move sanity-checking scripts from finish.d to check.d. Requires
    partman-base 106.

  [ Max Vozeler ]
  * Remove leftover .svn directories from partman-crypto

 -- Max Vozeler <xam@debian.org>  Tue, 22 May 2007 21:14:50 +0200
