=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: partman-crypto
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Max Vozeler <xam@debian.org>
 Build-Depends: debhelper (>= 5.0.25), po-debconf (>= 0.5.0)
 XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-crypto
@@ -9,7 +10,7 @@
 Package: partman-crypto
 XC-Package-Type: udeb
 Architecture: any
-Depends: partman-base (>= 87), ${shlibs:Depends}, ${misc:Depends}
+Depends: partman-base (>= 106), ${shlibs:Depends}, ${misc:Depends}
 Description: Add to partman support for block device encryption
 
 Package: partman-crypto-dm
