## partman-crypto 25ubuntu2

=== base64/Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 	$(CC) $(CFLAGS) -o $@ $< 
 	strip -s $@
 
-test: base64 test-stamp
-test-stamp:
+test: test-stamp
+test-stamp: base64
 	@set -e; \
 	echo "Running self-tests"; \
 	for t in tests/case*; do \
@@ -20,4 +20,4 @@
 	touch test-stamp
 
 clean:
-	-rm base64 test-stamp
+	rm -f base64 test-stamp
