=== blockdev-wipe/Makefile ===
--- 
+++ 
@@ -5,4 +5,4 @@
 	strip -s $@
 
 clean:
-	-rm blockdev-wipe
+	rm -f blockdev-wipe
