=== debian/changelog ===
partman-crypto (25ubuntu2) hardy; urgency=low

  * Disable partition erasing by default again. The cancel button has poor
    UI (see LP #188085, #218912) which makes it hard to rely on it.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Apr 2008 15:14:43 +0100

partman-crypto (25ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write out /etc/crypttab using UUIDs, like we do for /etc/fstab.
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu (thanks, Loïc Minier).
    - Warn that the passphrase cannot be recovered if lost.
  * Re-enable partition erasing by default; it's now cancellable, which
    solves the same problem.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Dec 2007 10:58:42 +0000

partman-crypto (25) unstable; urgency=low

  * Moved definitions.sh to ./lib/base.sh.
  * Move crypto-tools.sh to ./lib/crypto-base.
  * finish.d/crypto_config: fix script error when $tmp is empty.
  * crypto-base.sh: use new memfree function from base.sh.
  * Change priority to optional to allow dynamic loading by partman-base.
  * Requires partman-base (>= 114).

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ

 -- Frans Pop <fjp@debian.org>  Tue, 11 Dec 2007 14:01:41 +0100

partman-crypto (24ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - write out /etc/crypttab using UUIDs, like we do for /etc/fstab
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu (thanks, Loïc Minier).
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
  * Add Vcs-Bzr for Ubuntu; rename Vcs-Svn to Original-Vcs-Svn.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 11 Dec 2007 10:46:47 -0500

partman-crypto (24) unstable; urgency=low

  [ Max Vozeler ]
  * Use veto_filesystems to allow only ext2 on crypto devices with random
    keys. This is only effective with partman-basicmethods 36 or later.
    Closes: #414638.
  * Replace code to commit partman changes to disk with call to
    commit_changes from partman-base (>= 113) and version the dependency
    accordingly.

  [ Frans Pop ]
  * Rename functions dev_wipe and wipe to be in crypto namespace.
  * Remove progresscancel capability again after erase progress bar to avoid
    all following progress bars to become cancelable as well. Ensure backup
    capability is retained.

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ

 -- Frans Pop <fjp@debian.org>  Wed, 05 Dec 2007 13:18:55 +0100

partman-crypto (23) unstable; urgency=low

  [ Colin Watson ]
  * Reduce noise from repeated 'debian/rules clean' runs.

  [ Max Vozeler ]
  * Correct dependencies in base64/Makefile; Thanks to 
    Robert Millan for report + patch. Closes: #452830
  * Drop use of the obsolete /dev/loop/ directory
  * Make erase cancellable. Closes: #381898, #400034

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * Italian (it.po) by Stefano Canepa
  * Korean (ko.po) by Sunjae Park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovak (sk.po) by Ivan Masár

 -- Max Vozeler <xam@debian.org>  Sun, 25 Nov 2007 17:01:43 +0100

partman-crypto (22ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - write out /etc/crypttab using UUIDs, like we do for /etc/fstab
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu (thanks, Loïc Minier).
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 28 Nov 2007 12:02:14 -0500

partman-crypto (22) unstable; urgency=low

  [ Frans Pop ]
  * For hd-media installs the module loop will already be loaded, which
    prevents loop-aes from being loaded. Attempt to replace loop with loop-aes
    by unmounting the CD image, replacing the module and remounting the image.
    As losetup is not available, we cannot check what exactly is loop-mounted,
    so we just assume that loop is only used for a CD image.
    Many thanks to Nemui Ailin for identifying the issue. Closes: #434027.

  [ Colin Watson ]
  * Use 'mkdir -p' rather than more awkward test-then-create constructions.

 -- Max Vozeler <xam@debian.org>  Sun, 12 Aug 2007 20:31:48 +0200
