=== debian/rules ===
--- 
+++ 
@@ -44,10 +44,11 @@
 	debian/install-rc update.d
 	debian/install-rc finish.d
 	dh_install finish-install.d usr/lib
-	dh_install crypto_tools.sh lib/partman
+	dh_install lib lib/partman
 	dh_install base64/base64 bin/
 	dh_install blockdev-keygen bin/
 	dh_install blockdev-wipe/blockdev-wipe bin/
+	dh_install veto_filesystems lib/partman
 	rm -rf `find debian/$(PACKAGE) -name .svn`
 
 binary-indep: install-indep
