## partman-crypto 32ubuntu2

=== debian/changelog ===
partman-crypto (32ubuntu2) intrepid; urgency=low

  * Update Ubuntu-specific strings from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 12 Oct 2008 00:08:53 +0100

partman-crypto (32ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write out /etc/crypttab using UUIDs, like we do for /etc/fstab.
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 May 2008 09:34:43 +0200

partman-crypto (32) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Hebrew (he.po) by Lior Kaplan
  * Indonesian (id.po) by Arief S Fitrianto
  * Marathi (mr.po) by Sampada
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 01:01:48 -0300

partman-crypto (31) unstable; urgency=low

  [ Max Vozeler ]
  * blockdev-keygen: Set backup capability to allow the entropy
    dialog to be cancelled.
  * Consistently use /dev/urandom for volatile one-time keys (key
    type "random") with dm-crypt.

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hungarian (hu.po) by SZERVÁC Attila
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Vietnamese (vi.po) by Clytie Siddall
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Max Vozeler <xam@debian.org>  Sun, 04 May 2008 22:08:33 +0200

partman-crypto (30) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Fix loading of additional packages:
    - make crypto_load_udebs() take more than one argument,
    - properly pluralize "packages" in crypto_prepare_method().
  * Remove partman-crypto-{dm,loop} dependency on cdebconf-entropy:
    anna does not handle depencies on virtual package correctly yet.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * French (fr.po) by Christian Perrier
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 18 Apr 2008 18:10:50 +0200

partman-crypto (29) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Make partman-crypto-dm and parman-crypto-loop depends on the virtual
    cdebconf-entropy instead of cdebconf-newt-entropy to be independant of the
    frontend used.  Requires cdebconf-entropy (>= 0.7).
  * Add partman-crypto/entropy-success template which will be be displayed
    when enough entropy has been gathered.
  * Use the "entropy" question type instead of "entropy-text".
  * Substitute FIFO and SUCCESS variables before displaying
    partman-crypto/entropy.

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po)
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Marathi (mr.po)
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Brar
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 14 Apr 2008 23:39:54 +0200

partman-crypto (28) unstable; urgency=low

  [ Max Vozeler ]
  * Allow install onto loop-AES encrypted root. Closes: #381895
  * check.d/crypto_check_mountpoints: quote $mnt as it
    may be empty. Closes: #468739
  * commit.d/unsafe_swap: replace open-coded check for
    swap on dm-crypt with call to dm_is_safe(). Closes: #468738
  * Regenerate the initramfs for root on loop-AES.
  * Make veto_filesystems/crypto executable so that it
    actually gets used.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Max Vozeler <xam@debian.org>  Sat, 08 Mar 2008 17:35:48 +0100

partman-crypto (27) unstable; urgency=low

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Viesturs Zarins
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Slovak (sk.po) by Ivan Masár
  * Turkish (tr.po) by Recai Oktaş
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 08:57:42 -0200

partman-crypto (26) unstable; urgency=low

  * crypto-base.sh: source new function library ./lib/commit.sh.
    Requires partman-base (>= 115).

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera

