## partman-crypto 36

=== debian/changelog ===
partman-crypto (36) unstable; urgency=low

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po)
  * Esperanto (eo.po) by Felipe Castro
  * Hebrew (he.po) by Omer Zak
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Russian (ru.po) by Yuri Kozlov
  * Albanian (sq.po) by Elian Myftiu
  * Serbian (sr.po) by Veselin Mijušković
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Ukrainian (uk.po) by Євгеній Мещеряков
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 21:09:33 -0300

partman-crypto (35) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Preserve "align" capability in call_entropy_plugin().

  [ Updated translations ]
  * Greek, Modern (el.po) by Emmanuel Galatoulas
  * Kurdish (ku.po) by Erdal Ronahi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 25 Aug 2008 21:10:59 +0200

partman-crypto (34) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Divide the progress bar in 65536 parts when erasing disk data.
    The previous setting (100) was a bit low to allow reactive cancellation.
    (Closes: #492899)
  * Update to the new debconf_select interface.
    Requires partman-base (>= 124).
  * Preserve "align" capability in crypto_do_wipe() and after running
    anna-install in crypto_load_udebs().
    Requires cdebconf (>= 0.133).
  * Use cdebconf's new column alignment feature for active_partition.
    Requires partman-base (>= 124).

  [ Frans Pop ]
  * finish-install.d: loop-aes-* packages are obsolete, only try to install
    loop-aes-modules-* packages.

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Josip Rodin
  * Turkish (tr.po) by Mert Dirik
	
 -- Otavio Salvador <otavio@debian.org>  Tue, 05 Aug 2008 13:51:40 -0300

partman-crypto (33) unstable; urgency=low

  [ Max Vozeler ]
  * The dm_crypt module is moving into a separate package
    crypto-dm-modules starting with kernel udebs for 2.6.25-2.
    Make partman-crypto-dm depend on it.
  * Only reset crypto options when changing the crypto type.

  [ Frans Pop ]
  * Move Encryption method above new divider in partition options dialog.
    This is an indicator to users that other options depend on the selected
    encryption method (see #478598).
  * Add note in dialog that changing the encryption method will reset other
    fields to their defaults. Closes: #478598.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Indonesian (id.po) by Arief S Fitrianto
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Bart Cornelis
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Slovenian (sl.po) by Matej Kovacic
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Wed, 16 Jul 2008 13:55:30 +0200
