## partman-crypto 36ubuntu5

=== debian/changelog ===
partman-crypto (36ubuntu5) jaunty; urgency=low

  * Update Ubuntu-specific strings from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 02:18:27 +0100

partman-crypto (36ubuntu4) jaunty; urgency=low

  * Honour partman/default_filesystem. Requires partman-base 128ubuntu6.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Feb 2009 22:32:03 +0100

partman-crypto (36ubuntu3) jaunty; urgency=low

  * Use UUIDs only if available, fixing key types other than passphrase
    since only LUKS actually has a UUID (LP: #321732).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Jan 2009 01:38:06 +0000

partman-crypto (36ubuntu2) jaunty; urgency=low

  * Handle dm_mod and dm_crypt specially in crypto_load_module, to cope with
    them being built-in (LP: #314168).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Jan 2009 15:54:52 +0000

partman-crypto (36ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write out /etc/crypttab using UUIDs, like we do for /etc/fstab.
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Nov 2008 12:14:35 +0000
