=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: partman-crypto
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Max Vozeler <xam@debian.org>
 Build-Depends: debhelper (>= 5.0.25), po-debconf (>= 0.5.0)
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-crypto
+XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-crypto
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/partman-crypto/ubuntu
 
 Package: partman-crypto
 XC-Package-Type: udeb
 Architecture: any
-Depends: partman-base (>= 124), cdebconf-udeb (>= 0.133), ${shlibs:Depends}, ${misc:Depends}
+Depends: partman-base (>= 128ubuntu6), cdebconf-udeb (>= 0.133), ${shlibs:Depends}, ${misc:Depends}
 Description: Add to partman support for block device encryption
 
 Package: partman-crypto-dm
