## partman-crypto 37ubuntu3

=== debian/changelog ===
partman-crypto (37ubuntu3) karmic; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Sep 2009 13:22:18 +0100

partman-crypto (37ubuntu2) karmic; urgency=low

  * Add a menu under "Configure encrypted volumes", making this more in line
    with partman-lvm and partman-md.
  * Rearrange crypto configuration per the
    foundations-karmic-server-installer-improvements specification. Instead
    of requiring partitions to be set for use as physical volumes for
    encryption first, we now offer all partitions that could be used as
    physical volumes, and automatically set them up that way on request.
    (Unlike LVM and RAID, we still offer the configuration menu for each
    partition being newly set up this way, since it's the only opportunity
    the user will have to change encryption settings.) This allows us to
    offer our main menu option more or less all the time, and should require
    many fewer keystrokes to operate.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Jul 2009 11:59:07 +0100

partman-crypto (37ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write out /etc/crypttab using UUIDs, like we do for /etc/fstab.
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Handle dm_mod and dm_crypt specially in crypto_load_module, to cope
      with them being built-in.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jun 2009 11:58:42 +0100

partman-crypto (37) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Honour partman/default_filesystem. Requires partman-base 129.
  * Use 'printf %s' rather than 'echo -n' for portability, to ease testing
    under different shells.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Alvarez Costales
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Kazakh (kk.po) by Dauren Sarsenov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Russian (ru.po) by Yuri Kozlov
  * Tagalog (tl.po) by Eric Pareja
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jun 2009 08:01:52 +0200

partman-crypto (36ubuntu6) karmic; urgency=low

  * Use block-attr from di-utils 1.68.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 May 2009 17:33:36 +0100
