=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: partman-crypto
 XC-Package-Type: udeb
 Architecture: any
-Depends: partman-base (>= 128ubuntu6), cdebconf-udeb (>= 0.133), ${shlibs:Depends}, ${misc:Depends}
+Depends: partman-base (>= 129), cdebconf-udeb (>= 0.133), di-utils (>= 1.68), ${shlibs:Depends}, ${misc:Depends}
 Description: Add to partman support for block device encryption
 
 Package: partman-crypto-dm
